local thumbnail = {}

thumbnail.setdb = function(db)
  thumbnail.db = db
end

thumbnail.newfromvips = function(vipsimage)
  local t = {}
  
  t['type'] = 'thumbnail'
  t.src = vipsimage:write_to_buffer('.png', {compression=9})
  
  thumbnail.db:insertrecord(t)
  return t
end

return thumbnail